Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema Class Reference

`#include <ILight.h>`

Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema:
[legend]

## Public Types

typedef ILightSchema | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< LightSchemaInfo >
typedef LightSchemaInfo | info_type
typedef ISchema< LightSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
typedef ICompoundProperty | this_type

## Public Member Functions

| ILightSchema ()
| ILightSchema (const ICompoundProperty &iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| ILightSchema (const ICompoundProperty &iProp, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| ILightSchema (const ILightSchema &iCopy)
| Copy constructor.
ICameraSchema | getCameraSchema () const
| Access to the camera schema.
Abc::IBox3dProperty | getChildBoundsProperty () const
| Access to the child bounds property.
AbcA::TimeSamplingPtr | getTimeSampling () const
bool | isConstant () const
size_t | getNumSamples () const
ICompoundProperty | getArbGeomParams () const
ICompoundProperty | getUserProperties () const
void | reset ()
bool | valid () const
| Returns whether this function set is valid.
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (ILightSchema::valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< LightSchemaInfo >
| ISchema ()
virtual | ~ISchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
| ICompoundProperty ()
| ICompoundProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, WrapExistingFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, TopFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~ICompoundProperty ()
size_t | getNumProperties () const
| Returns the number of properties contained in this ICompoundProperty.
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::CompoundPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions

void | init (const Abc::Argument &iArg0, const Abc::Argument &iArg1)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
| IBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes

Abc::IBox3dProperty | m_childBoundsProperty
Abc::ICompoundProperty | m_arbGeomParams
Abc::ICompoundProperty | m_userProperties
Alembic::AbcGeom::ICameraSchema | m_cameraSchema
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
AbcA::CompoundPropertyReaderPtr | m_property

## Additional Inherited Members

Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< LightSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getDefaultSchemaName ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | operator_bool_base_type

## Detailed Description

Definition at line 50 of file ILight.h.

## Member Typedef Documentation

## this_type

typedef ILightSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

Definition at line 58 of file ILight.h.

## Constructor & Destructor Documentation

## ILightSchema() [1/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::ILightSchema | ( |  | ) |

inline

The default constructor creates an empty OLightMeshSchema ...

Definition at line 66 of file ILight.h.

Referenced by ILightSchema().

Here is the caller graph for this function:

## ILightSchema() [2/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::ILightSchema | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument() )

inline

This constructor creates a new light reader. The first argument is the parent ICompoundProperty, from which the error handler policy for is derived. The second argument is the name of the ICompoundProperty that contains this schemas properties. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

Definition at line 74 of file ILight.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< LightSchemaInfo >::ISchema(), and init().

Here is the call graph for this function:

## ILightSchema() [3/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::ILightSchema | ( | const ICompoundProperty & | iProp,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument() )

inline explicit

This constructor wraps an existing ICompoundProperty as the faceset reader, and the error handler policy is derived from it. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

Definition at line 87 of file ILight.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< LightSchemaInfo >::ISchema(), and init().

Here is the call graph for this function:

## ILightSchema() [4/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::ILightSchema | ( | const ILightSchema & | iCopy | ) |

inline

Copy constructor.

Definition at line 96 of file ILight.h.

References ILightSchema(), and Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< LightSchemaInfo >::ISchema().

Here is the call graph for this function:

## Member Function Documentation

## ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | ILightSchema::valid() |  | ) |

unspecified-bool-type operator overload. ...

References valid().

Here is the call graph for this function:

## getArbGeomParams()

ICompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::getArbGeomParams | ( |  | ) | const

inline

Definition at line 119 of file ILight.h.

References m_arbGeomParams.

## getCameraSchema()

ICameraSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::getCameraSchema | ( |  | ) | const

inline

Access to the camera schema.

Definition at line 103 of file ILight.h.

References m_cameraSchema.

## getChildBoundsProperty()

Abc::IBox3dProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::getChildBoundsProperty | ( |  | ) | const

inline

Access to the child bounds property.

Definition at line 106 of file ILight.h.

References m_childBoundsProperty.

## getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::getNumSamples | ( |  | ) | const

## getTimeSampling()

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::getTimeSampling | ( |  | ) | const

## getUserProperties()

ICompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::getUserProperties | ( |  | ) | const

inline

Definition at line 120 of file ILight.h.

References m_userProperties.

## init()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::init | ( | const Abc::Argument & | iArg0,
|  | const Abc::Argument & | iArg1 )

protected

Referenced by ILightSchema(), and ILightSchema().

Here is the caller graph for this function:

## isConstant()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::isConstant | ( |  | ) | const

## reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::reset | ( |  | ) |

inline

Reset returns this function set to an empty, default state.

Definition at line 124 of file ILight.h.

References m_arbGeomParams, m_cameraSchema, m_childBoundsProperty, and m_userProperties.

## valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::valid | ( |  | ) | const

inline

Returns whether this function set is valid.

Definition at line 134 of file ILight.h.

Referenced by ALEMBIC_OVERRIDE_OPERATOR_BOOL().

Here is the caller graph for this function:

## Member Data Documentation

## m_arbGeomParams

Abc::ICompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::m_arbGeomParams

protected

Definition at line 148 of file ILight.h.

Referenced by getArbGeomParams(), and reset().

## m_cameraSchema

Alembic::AbcGeom::ICameraSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::m_cameraSchema

protected

Definition at line 151 of file ILight.h.

Referenced by getCameraSchema(), and reset().

## m_childBoundsProperty

Abc::IBox3dProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::m_childBoundsProperty

protected

Definition at line 147 of file ILight.h.

Referenced by getChildBoundsProperty(), and reset().

## m_userProperties

Abc::ICompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ILightSchema::m_userProperties

protected

Definition at line 149 of file ILight.h.

Referenced by getUserProperties(), and reset().

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/ILight.h